;****************************************
; General
;****************************************

; Description
; A drush makefile for CiviCRM.

; drush make API version
api = 2

; Drupal core
core = 6.x

;****************************************
; CiviCRM core
;****************************************

; Checking for new updates at:
; http://sourceforge.net/projects/civicrm/files/civicrm-stable/

libraries[civicrm][destination] = modules
libraries[civicrm][directory_name] = civicrm
libraries[civicrm][download][type] = get
libraries[civicrm][download][url] = http://downloads.sourceforge.net/project/civicrm/civicrm-stable/4.2.10/civicrm-4.2.10-drupal6.tar.gz

; Download available l10n releases (may be outdated)
libraries[civicrm_l10n][destination] = modules
libraries[civicrm_l10n][directory_name] = civicrm
libraries[civicrm_l10n][download][type] = get
libraries[civicrm_l10n][download][url] = http://downloads.sourceforge.net/project/civicrm/civicrm-stable/4.2.10/civicrm-4.2.10-l10n.tar.gz
libraries[civicrm_l10n][overwrite] = TRUE

; Overwrite .mo files with latest version from SVN
libraries[civicrm_l10n_latest][destination] = modules
libraries[civicrm_l10n_latest][directory_name] = civicrm/l10n
libraries[civicrm_l10n_latest][download][type] = svn
libraries[civicrm_l10n_latest][download][url] = http://svn.civicrm.org/l10n/trunk/
libraries[civicrm_l10n_latest][overwrite] = TRUE

; Fetch gettext-compatible fr_CA locale (gettext native and civicrm gettext)
libraries[civicrm_l10n_latest_fr_CA_gtn][destination] = modules
libraries[civicrm_l10n_latest_fr_CA_gtn][directory_name] = civicrm/l10n/fr_CA/LC_MESSAGES
libraries[civicrm_l10n_latest_fr_CA_gtn][download][type] = wget
libraries[civicrm_l10n_latest_fr_CA_gtn][download][url] = https://redmine.koumbit.net/projects/civicrm-saas-traduction/repository/revisions/master/raw/l10n/fr_CA/civicrm.mo
libraries[civicrm_l10n_latest_fr_CA_gtn][overwrite] = TRUE

libraries[civicrm_l10n_latest_fr_CA][destination] = modules
libraries[civicrm_l10n_latest_fr_CA][directory_name] = civicrm/l10n/fr_CA
libraries[civicrm_l10n_latest_fr_CA][download][type] = wget
libraries[civicrm_l10n_latest_fr_CA][download][url] = https://redmine.koumbit.net/projects/civicrm-saas-traduction/repository/revisions/master/raw/l10n/fr_CA/civicrm.mo
libraries[civicrm_l10n_latest_fr_CA][overwrite] = TRUE

; Fetch gettext-compatible fr_FR locale
libraries[civicrm_l10n_latest_fr_FR_gtn][destination] = modules
libraries[civicrm_l10n_latest_fr_FR_gtn][directory_name] = civicrm/l10n/fr/LC_MESSAGES
libraries[civicrm_l10n_latest_fr_FR_gtn][download][type] = wget
libraries[civicrm_l10n_latest_fr_FR_gtn][download][url] = https://github.com/civicrm/l10n/raw/master/po/fr/civicrm.mo
libraries[civicrm_l10n_latest_fr_FR_gtn][overwrite] = TRUE

libraries[civicrm_l10n_latest_fr_FR][destination] = modules
libraries[civicrm_l10n_latest_fr_FR][directory_name] = civicrm/l10n/fr
libraries[civicrm_l10n_latest_fr_FR][download][type] = wget
libraries[civicrm_l10n_latest_fr_FR][download][url] = https://github.com/civicrm/l10n/raw/master/po/fr/civicrm.mo
libraries[civicrm_l10n_latest_fr_FR][overwrite] = TRUE

; Fetch gettext-compatible en_CA locale
libraries[civicrm_l10n_latest_en_CA_gtn][destination] = modules
libraries[civicrm_l10n_latest_en_CA_gtn][directory_name] = civicrm/l10n/en_CA/LC_MESSAGES
libraries[civicrm_l10n_latest_en_CA_gtn][download][type] = wget
libraries[civicrm_l10n_latest_en_CA_gtn][download][url] = https://github.com/civicrm/l10n/raw/master/po/en_CA/civicrm.mo
libraries[civicrm_l10n_latest_en_CA_gtn][overwrite] = TRUE

libraries[civicrm_l10n_latest_en_CA][destination] = modules
libraries[civicrm_l10n_latest_en_CA][directory_name] = civicrm/l10n/en_CA/LC_MESSAGES
libraries[civicrm_l10n_latest_en_CA][download][type] = wget
libraries[civicrm_l10n_latest_en_CA][download][url] = https://github.com/civicrm/l10n/raw/master/po/en_CA/civicrm.mo
libraries[civicrm_l10n_latest_en_CA][overwrite] = TRUE

; Fetch gettext-compatible en_UK locale
libraries[civicrm_l10n_latest_en_UK_gtn][destination] = modules
libraries[civicrm_l10n_latest_en_UK_gtn][directory_name] = civicrm/l10n/en_UK/LC_MESSAGES
libraries[civicrm_l10n_latest_en_UK_gtn][download][type] = wget
libraries[civicrm_l10n_latest_en_UK_gtn][download][url] = https://github.com/civicrm/l10n/raw/master/po/en_UK/civicrm.mo
libraries[civicrm_l10n_latest_en_UK_gtn][overwrite] = TRUE

libraries[civicrm_l10n_latest_en_UK][destination] = modules
libraries[civicrm_l10n_latest_en_UK][directory_name] = civicrm/l10n/en_UK/LC_MESSAGES
libraries[civicrm_l10n_latest_en_UK][download][type] = wget
libraries[civicrm_l10n_latest_en_UK][download][url] = https://github.com/civicrm/l10n/raw/master/po/en_UK/civicrm.mo
libraries[civicrm_l10n_latest_en_UK][overwrite] = TRUE

; Fetch gettext-compatible en_US locale
libraries[civicrm_l10n_latest_en_US_gtn][destination] = modules
libraries[civicrm_l10n_latest_en_US_gtn][directory_name] = civicrm/l10n/en_US/LC_MESSAGES
libraries[civicrm_l10n_latest_en_US_gtn][download][type] = wget
libraries[civicrm_l10n_latest_en_US_gtn][download][url] = https://github.com/civicrm/l10n/raw/master/po/en_US/civicrm.mo
libraries[civicrm_l10n_latest_en_US_gtn][overwrite] = TRUE

libraries[civicrm_l10n_latest_en_US][destination] = modules
libraries[civicrm_l10n_latest_en_US][directory_name] = civicrm/l10n/en_US/LC_MESSAGES
libraries[civicrm_l10n_latest_en_US][download][type] = wget
libraries[civicrm_l10n_latest_en_US][download][url] = https://github.com/civicrm/l10n/raw/master/po/en_US/civicrm.mo
libraries[civicrm_l10n_latest_en_US][overwrite] = TRUE

;****************************************
; Patches
;****************************************

; dbLocale is not always initialized - should be fixed in latest civicrm 4.3 version
; http://issues.civicrm.org/jira/browse/CRM-10606
; http://drupal.org/node/1728628#comment-6344856
libraries[civicrm][patch][10606] = http://drupal.org/files/CRM-10606-4.2.7.patch

; bug in api v3 domain
; http://issues.civicrm.org/jira/browse/CRM-11804
libraries[civicrm][patch][11804] = http://drupal.org/files/CRM-11804.patch

; bug in drupal block full search in civicrm (fixed in 4.3)
; http://issues.civicrm.org/jira/browse/CRM-12093
libraries[civicrm][patch][12093] = http://drupal.org/files/CRM-12093.patch

; bug with geocoding in gettext native mode
; should be in next civi4.2 LTS release and is already in 4.3 -- not present in 4.2.10
libraries[civicrm][patch][11833-1] = http://issues.civicrm.org/jira/secure/attachment/19093/map_longitude_and_latitude_values_with_dot_as_decimal_point.diff
libraries[civicrm][patch][11833-2] = http://issues.civicrm.org/jira/secure/attachment/19092/store_geocoding_values_as_strings.diff

; small translation bug
; fixed in 4.3 - so remove when 4.3 become our official stable civicrm version
libraries[civicrm][patch][11200] = https://drupal.org/files/CRM-11200-civicrm-4.2.10.patch

; fix bug that broke varnish cache
; fixed in 4.3 - so remove when 4.3 become our official stable civicrm version
libraries[civicrm][patch][8765] = https://drupal.org/files/CRM-8765.patch

;****************************************
; End
;****************************************

